OpenOffice.org test packages (from PPA) do not install properly

Bug #552747 reported by komputes on 2010-03-31
24
This bug affects 3 people
Affects Status Importance Assigned to Milestone
openoffice.org (Ubuntu)
Undecided
Chris Cheney

Bug Description

Binary package hint: openoffice.org

Added the following PPA to a karmic installation and ran an upgrade:
deb http://ppa.launchpad.net/openoffice-pkgs/ppa/ubuntu karmic main

Here are the errors I got:
1)
─┤ Configuring ure ├─
Component registries might be corrupted
You are upgrading from a version which might have corrupted service/component registry files (*.rdb), especially /var/lib/openoffice/basis3.1/program/services.rdb and the rdb files in /var/spool/openoffice/uno_packages/cache for installed extensions. If you experience problems with the component manager or segmentation faults involving libstore in either unopkg or OpenOffice.org, please check these files. Try cleanly reinstalling the packages and/or using a clean user profile.

2)
dpkg reported:
Preparing to replace ure 1.5.1+OOo3.1.1-5ubuntu1.1 (using .../ure_1.6.0+OOo3.2.0-4ubuntu0ppa1_i386.deb) ...
Unpacking replacement ure ...
Preparing to replace uno-libs3 1.5.1+OOo3.1.1-5ubuntu1.1 (using .../uno-libs3_1.6.0+OOo3.2.0-4ubuntu0ppa1_i386.deb) ...
Unpacking replacement uno-libs3 ...
Preparing to replace openoffice.org-emailmerge 1:3.1.1-5ubuntu1.1 (using .../openoffice.org-emailmerge_1%3a3.2.0-4ubuntu0ppa1_all.deb) ...
javaldx: Could not find a Java Runtime Environment!
Please ensure that a JVM and the package openoffice.org-java-common
is installed.
If it is already installed then try removing ~/.openoffice.org/3/user/config/javasettings_Linux_*.xml

ERROR: Couldn't open registry file:///usr/lib/openoffice/basis3.1/program/offapi.rdb for reading

unopkg failed.
javaldx: Could not find a Java Runtime Environment!
Please ensure that a JVM and the package openoffice.org-java-common
is installed.
If it is already installed then try removing ~/.openoffice.org/3/user/config/javasettings_Linux_*.xml

ERROR: Couldn't open registry file:///usr/lib/openoffice/basis3.1/program/offapi.rdb for reading
Exception details:
(com.sun.star.registry.InvalidRegistryException) { { Message = "Couldn't open registry file:///usr/lib/openoffice/basis3.1/program/offapi.rdb for reading", Context = (com.sun.star.uno.XInterface) @0 } }

unopkg failed.
Unpacking replacement openoffice.org-emailmerge ...

also

dpkg: openoffice.org-core: dependency problems, but removing anyway as you requested:
 python-uno depends on openoffice.org-core (= 1:3.1.1-5ubuntu1.1).
 openoffice.org-base-core depends on openoffice.org-core (= 1:3.1.1-5ubuntu1.1).

also

Setting up openoffice.org-emailmerge (1:3.2.0-4ubuntu0ppa1) ...
javaldx: Could not find a Java Runtime Environment!
Please ensure that a JVM and the package openoffice.org-java-common
is installed.
If it is already installed then try removing ~/.openoffice.org/3/user/config/javasettings_Linux_*.xml
Copying: mailmerge.py
Enabling: mailmerge.py
javaldx: Could not find a Java Runtime Environment!
Please ensure that a JVM and the package openoffice.org-java-common
is installed.
If it is already installed then try removing ~/.openoffice.org/3/user/config/javasettings_Linux_*.xml

unopkg done.

komputes (komputes) wrote :
Chris Cheney (ccheney) wrote :

1) Is a real issue but we are demoting it to a release note for Lucid. If the user experiences this problem this note is referring to they have to purge/reinstall all of OOo and remove ~/.openoffice.org from their user profile. There is no workaround.

2)

a) As far as I can tell this is not really a problem it just looks ugly. It is caused by the directories moving during major version changes (eg 3.1.1 -> 3.2.0) and the ordering of which debian packaging scripts are executed and when.

b) no idea about this issue will have to look into it

c) This isn't really an issue at all, it is just telling the user they should have java installed to have a fully functional OOo. It displays this message each time OOo is run, and in the example it is run twice.

Chris

Changed in openoffice.org (Ubuntu):
assignee: nobody → Chris Cheney (ccheney)
status: New → Triaged
tags: added: iso-testing
James Tatum (jtatum) wrote :

This package seems to require openoffice.org-java-common, but openoffice.org-java-common is not a package dependency. I'm guessing that in Karmic, the oo.o dependency tree automatically installed java-common but in Lucid, this is not the case. Assuming emailmerge requires Java, I can submit a patch to make it depend on java-common...

summary: - OpenOffice.org test packages (from PPA) do not install properly
+ openoffice.org-emailmerge throws error about missing openoffice.org-
+ java-common

James,

That doesn't have anything to do with the bug... OOo in general needs java, and any time it is run and sees it is not installed it warns the user to install java.

summary: - openoffice.org-emailmerge throws error about missing openoffice.org-
- java-common
+ OpenOffice.org test packages (from PPA) do not install properly
James Tatum (jtatum) wrote :

I had some discussion with Chris about this. Running virtually any OOo command from a terminal will throw the Java errors if there is no installed JVM - regardless of whether or not it is causing an issue. Therefore, the Java errors are not really related to this problem since the emailmerge extension does not require Java. Running "unopkg list --shared" from the command line will both throw the error, then go on to list whether the mailmerge extension is installed. Sorry about the confusion.

Chris Cheney (ccheney) wrote :

As far as I can tell upgrading the test packages work for both hardy and karmic.

Changed in openoffice.org (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments